# 32/64bit spec-file
#
Name:			ogmrip-mpeg
Version:		0.3
Release:		%mkrel 1

Summary:		A mpeg OGMRip plugin
Source0:		%{name}-%{version}.tar.xz
License:		LGPL
Group:			Video
URL:			http://ogmrip.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		glib2-devel
BuildRequires:		libdvdread-devel 
BuildRequires:		ogmrip-devel
BuildRequires:		mjpegtools
BuildRequires:		perl-XML-Parser
BuildRequires:		pkgconfig
Requires:		mjpegtools
Requires:		ogmrip

%description
A mpeg OGMRip plugin.


%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|-Werror||g' \
	configure

%build
%configure2_5x \
	--enable-static=no
%make 

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_libdir}/ogmrip/container-plugins/

%find_lang %{name}

rm -rf %{buildroot}%{_libdir}/ogmrip/container-plugins/*.la
rm -rf %{buildroot}%{_libdir}/ogmrip/video-plugins/*.la
rm -rf %{buildroot}%{_libdir}/ogmrip/options-plugins/*.la
rm -rf %{buildroot}%{_includedir}/ogmrip/ogmrip-mpeg.h

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/spumux.sh
%dir %{_libdir}/ogmrip/container-plugins
%{_libdir}/ogmrip/container-plugins/libogmrip-mpeg.so
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-lavc-mpeg1.so
%{_libdir}/ogmrip/video-plugins/libogmrip-lavc-mpeg2.so
%{_libdir}/ogmrip/options-plugins/libogmrip-mpeg-options.so
%{_datadir}/ogmrip/ogmrip-mpeg.glade
%{_datadir}/ogmrip/profiles/profiles-mpeg.xml

%changelog
* Sun Feb 24 2013 Ken <lxgator@gmail.com> 0.3-1pclos2013
- 0.3

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.2-2pclos2010
- rebuild

* Sat Jul 28 2009 slick50 <slick50@gmail.com> 0.2-1pclos2009
- 0.2

* Tue Mar 23 2009 Texstar <texstar@gmail.com> 0.1-1pclos2007
- import from Toni Graffy 
